Subject: bug#18812: 24.4; url.el user agent does not include Emacs version

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Oct 2014 14:51:48 -0400

> Personally, I am curious about the new signing features in
> package.el. However, since these don't work in versions of Emacs older
> than 24.4, I thought it would be interesting to examine the access logs
> of Marmalade to see how fast the adoption of 24.4 is going.

You don't need the version number for that: just check (failed?)
accesses to the *.sig files, since Emacs-24.4 will automatically look
for them by default.

The advantage is that this will also account for the 24.4 users who
don't have GPG installed (since for those, package.el won't look for
.sig files).

        Stefan